## quantum 2012.1~e1

=== plugins/openvswitch-plugin/lib/quantum/plugins/openvswitch/Makefile ===
QUANTUM_PATH=../../../

# TODO(bgh): DIST_DIR and target for plugin

AGENT_DIST_DIR=ovs_quantum_agent
AGENT_DIST_TARBALL=ovs_quantum_agent.tgz

agent-dist: distclean
	mkdir $(AGENT_DIST_DIR)
	cp agent/*.py $(AGENT_DIST_DIR)
	cp agent/*.sh $(AGENT_DIST_DIR)
	cp README $(AGENT_DIST_DIR)
	cp ovs_quantum_plugin.ini $(AGENT_DIST_DIR)
	tar -zcvf $(AGENT_DIST_TARBALL) $(AGENT_DIST_DIR)/
	@echo "Agent tarball created: $(AGENT_DIST_TARBALL)"
	@echo "See README for installation details"

all:

clean:
	$(find . -name *.pyc | xargs rm)

distclean:
	-rm -rf $(AGENT_DIST_DIR)
	-rm -f $(AGENT_DIST_TARBALL)

check:
	PYTHONPATH=$(QUANTUM_PATH):. python ovs_quantum_plugin.py

PHONY: agent-dist check clean distclean

=== debian/changelog ===
quantum (2012.1~e1-4) unstable; urgency=low

  [ Ghe Rivero ]
  * Plugins Provides: quamtum-plugin

 -- Ghe Rivero <ghe@debian.org>  Thu, 01 Dec 2011 12:47:09 +0100

quantum (2012.1~e1-3) unstable; urgency=low

  [ Julien Danjou ]
  * Fix copyright file format
  * Enhance short Description of all packages
  * Fix package double building
  * Add missing build-dependencies for dh_python2
  * Move /etc/quantum handling into quantum-server
  * Add missing dependency on lsb-base

  [ Ghe Rivero ]
  * Fix changelog entry
  * renamed quantum-server.dirs to quantum-common.dirs

 -- Julien Danjou <acid@debian.org>  Thu, 01 Dec 2011 10:47:32 +0100

quantum (2012.1~e1-2) unstable; urgency=low

  * Initial release. Closes: #647652

  [ Julien Danjou ]
  * [88122af] Fix Maintainer and Uploaders fields
  * [aafd60c] Remove useless Provides fields in control
  * [811ceb8] Enhance description
  * [d71fcda] Remove bogus auto test target
  * [a2770db] remove get-orig-source
  * [d3e1033] Simplify build-depends
  * [f12a262] Add missing Vcs fields

  [ Ghe Rivero ]
  * [9d82e62] Added quantum-server dirs
  * [b529634] Some make up to ovs-quantum-plugin

 -- Ghe Rivero <ghe@debian.org>  Fri, 25 Nov 2011 11:14:25 +0100

quantum (2012.1~e1-1) experimental; urgency=low

  * [aed8d59] Imported Upstream version 2012.1~e1
  * [787b937] Switch to dpkg-source 3.0 (quilt) format
  * [3b3eb8d] added adduser depends
  * [ce4d1c9] added quantum-plugin-openvswitch-agent

 -- Ghe Rivero <ghe@debian.org>  Wed, 16 Nov 2011 12:55:07 +0100

quantum (0.1-1) experimental; urgency=low

  * Initial release.

 -- Ghe Rivero <ghe@debian.org>  Sat, 05 Nov 2011 13:28:47 +0100

=== debian/control ===
Source: quantum
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-webtest,
 python-eventlet,
 python-routes,
 python-paste,
 python-pastedeploy,
 python-gflags,
 python-simplejson,
 python-sqlalchemy,
 python-webob,
 python-nose
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/quantum
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/quantum.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/quantum.git

Package: quantum-common
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
	 adduser
Description: OpenStack Virtual network service - common files
 Quantum provides an API to dynamically request and configure virtual networks. 
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs 
 from Nova VMs). The Quantum API supports extensions to provide advanced network 
 capabilities (e.g., QoS, ACLs, network monitoring, etc)
 .
 This package provides the core bianries and libraries to manage quantum

Package: quantum-server
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base, quantum-plugin, quantum-common
Description: OpenStack Virtual network service - server
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Quantum API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the quantum server.

Package: quantum-client
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
Description: OpenStack Virtual network service - client
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Quantum API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client agent.

Package: quantum-plugin-cisco
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
Provides: quantum-plugin
Description: OpenStack Virtual network service - cisco plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Quantum API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the plugin to use with cisco hardware.

Package: quantum-plugin-openvswitch
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common, openvswitch-switch
Provides: quantum-plugin
Description: OpenStack Virtual network service - openvswitch plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Quantum API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the plugin to use with openvswitch.

Package: quantum-plugin-sample
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
Provides: quantum-plugin
Description: OpenStack Virtual network service - sample plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Quantum API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides a sample plugin to work with.

Package: quantum-plugin-openvswitch-agent
Architecture: all
Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
	  openvswitch-switch
Description: OpenStack Virtual network service - openvswitch agent
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Quantum API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the openvswitch-agent which should run on each compute 
 node

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export TMP=$(CURDIR)/debian/
export PKGS = quantum-server quantum-client quantum-common quantum-plugin-cisco quantum-plugin-openvswitch quantum-plugin-sample
export PKG_SRCS = server client common plugins/cisco-plugin plugins/openvswitch-plugin plugins/sample-plugin
%:
	dh $@ --with python2

override_dh_auto_build:
	for PKG_SRC in ${PKG_SRCS}; do \
	 	cd $${PKG_SRC} && python setup.py build --force; cd $${OLDPWD};\
	done

override_dh_auto_clean:
	for PKG_SRC in ${PKG_SRCS}; do \
		cd $(CURDIR)/$${PKG_SRC} \
			&& python setup.py clean -a \
			&& rm -rf lib/*.egg-info ; \
	done

override_dh_auto_install:
	cd plugins/cisco-plugin && python setup.py install --force --root=${TMP}/quantum-plugin-cisco/ --no-compile -O0 --install-layout=deb
	cd plugins/openvswitch-plugin && python setup.py install --force --root=${TMP}/quantum-plugin-openvswitch/ --no-compile -O0 --install-layout=deb
	cd server && python setup.py install --force --root=${TMP}/quantum-server/ --no-compile -O0 --install-layout=deb
	cd client && python setup.py install --force --root=${TMP}/quantum-client/ --no-compile -O0 --install-layout=deb
	cd common && python setup.py install --force --root=${TMP}/quantum-common --no-compile -O0 --install-layout=deb
	cd plugins/sample-plugin && python setup.py install --force --root=${TMP}/quantum-plugin-sample --no-compile -O0 --install-layout=deb
	for PKG in quantum-plugin-cisco quantum-plugin-openvswitch; do \
		cd $${TMP}/$${PKG} && find . -name __init__.py -print0 | grep -FzZ 'plugins/__init__.py' | xargs -0 rm && cd $${OLDPWD}; \
	done
	find $${TMP} -type d -name tests | xargs rm -fr 
	install -d debian/quantum-plugin-openvswitch-agent/usr/bin
	install -m 755 plugins/openvswitch-plugin/lib/quantum/plugins/openvswitch/agent/ovs_quantum_agent.py \
		debian/quantum-plugin-openvswitch-agent/usr/bin/ovs-quantum-agent


override_dh_installinit:
	dh_installinit -pquantum-server -o
	dh_installinit --remaining-packages

## quantum 2012.1~e2

=== debian/changelog ===
quantum (2012.1~e2-4) unstable; urgency=low

  * Added sqlite infiledb patch.

 -- Ghe Rivero <ghe@debian.org>  Thu, 22 Dec 2011 11:17:29 +0100

quantum (2012.1~e2-3) unstable; urgency=low

  [ Ghe Rivero ]
  * Updated copyright file.
  * Use releative path in quantum-common.dirs.
  * Simplified postinst script.
  * Install cisco samples in doc.
  * Remove unused rules.

 -- Ghe Rivero <ghe@debian.org>  Mon, 19 Dec 2011 21:24:09 +0100

quantum (2012.1~e2-2) unstable; urgency=low

  * Fix circular depends. Closes: #652514.

 -- Ghe Rivero <ghe@debian.org>  Sun, 18 Dec 2011 11:17:08 +0100

quantum (2012.1~e2-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Fri, 16 Dec 2011 19:06:16 +0100

=== debian/control ===
--- 
+++ 
@@ -30,16 +30,18 @@
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
 	 adduser
 Description: OpenStack Virtual network service - common files
- Quantum provides an API to dynamically request and configure virtual networks. 
- These networks connect "interfaces" from other OpenStack services (e.g., vNICs 
- from Nova VMs). The Quantum API supports extensions to provide advanced network 
+ Quantum provides an API to dynamically request and configure virtual networks.
+ These networks connect "interfaces" from other OpenStack services (e.g., vNICs
+ from Nova VMs). The Quantum API supports extensions to provide advanced network
  capabilities (e.g., QoS, ACLs, network monitoring, etc)
  .
  This package provides the core bianries and libraries to manage quantum
 
 Package: quantum-server
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base, quantum-plugin, quantum-common
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base,
+ quantum-plugin-openvswitch | quantum-plugin,
+ quantum-common
 Description: OpenStack Virtual network service - server
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
@@ -105,5 +107,5 @@
  from Nova VMs). The Quantum API supports extensions to provide advanced network
  capabilities (e.g., QoS, ACLs, network monitoring, etc).
  .
- This package provides the openvswitch-agent which should run on each compute 
+ This package provides the openvswitch-agent which should run on each compute
  node

=== debian/rules ===
#!/usr/bin/make -f


#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export TMP=$(CURDIR)/debian/
export PKGS = cisco_plugin client common openvswitch_plugin server sample_plugin

%:
	dh $@ --with python2

override_dh_auto_clean:

override_dh_auto_build:

override_dh_auto_install:
	python setup_cisco_plugin.py build -b cisco_plugin install --force --root=${TMP}/quantum-plugin-cisco/ --no-compile -O0 --install-layout=deb
	python setup_openvswitch_plugin.py build -b openvswitch_plugin install --force --root=${TMP}/quantum-plugin-openvswitch/ --no-compile -O0 --install-layout=deb
	python setup_server.py build -b server install --force --root=${TMP}/quantum-server/ --no-compile -O0 --install-layout=deb
	python setup_client.py build -b client install --force --root=${TMP}/quantum-client/ --no-compile -O0 --install-layout=deb
	python setup_common.py build -b common install --force --root=${TMP}/quantum-common --no-compile -O0 --install-layout=deb
	python setup_sample_plugin.py build -b sample_plugin install --force --root=${TMP}/quantum-plugin-sample --no-compile -O0 --install-layout=deb
	find . -type d -name tests | xargs rm -fr
	install -d debian/quantum-plugin-openvswitch-agent/usr/bin
	install -m 755 quantum/plugins/openvswitch/agent/ovs_quantum_agent.py \
		debian/quantum-plugin-openvswitch-agent/usr/bin/ovs-quantum-agent


override_dh_installinit:
	dh_installinit -pquantum-server -o
	dh_installinit --remaining-packages

## quantum 2012.1~e2+git62-g9c5c2ca

=== debian/changelog ===
quantum (2012.1~e2+git62-g9c5c2ca-1) experimental; urgency=low

  * New snapshot release

 -- Ghe Rivero <ghe@debian.org>  Thu, 19 Jan 2012 08:16:00 +0100

quantum (2012.1~e2+git47-g5b23b5e-1) experimental; urgency=low

  * New snapshot release.

 -- Ghe Rivero <ghe@debian.org>  Tue, 27 Dec 2011 12:39:27 +0100

## quantum 2012.1~e3

=== debian/changelog ===
quantum (2012.1~e3-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Tue, 31 Jan 2012 08:05:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe@debian.org>
+           Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 7.0.50~),
  python-all (>= 2.6.6-3~),
  python-setuptools,
@@ -24,19 +24,6 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/quantum.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/quantum.git
 
-Package: quantum-common
-Architecture: all
-Section: python
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
-	 adduser
-Description: OpenStack Virtual network service - common files
- Quantum provides an API to dynamically request and configure virtual networks.
- These networks connect "interfaces" from other OpenStack services (e.g., vNICs
- from Nova VMs). The Quantum API supports extensions to provide advanced network
- capabilities (e.g., QoS, ACLs, network monitoring, etc)
- .
- This package provides the core bianries and libraries to manage quantum
-
 Package: quantum-server
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base,
@@ -49,17 +36,6 @@
  capabilities (e.g., QoS, ACLs, network monitoring, etc).
  .
  This package provides the quantum server.
-
-Package: quantum-client
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
-Description: OpenStack Virtual network service - client
- Quantum provides an API to dynamically request and configure virtual networks.
- These networks connect "interfaces" from other OpenStack services (e.g., vNICs
- from Nova VMs). The Quantum API supports extensions to provide advanced network
- capabilities (e.g., QoS, ACLs, network monitoring, etc).
- .
- This package provides the client agent.
 
 Package: quantum-plugin-cisco
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	find . -type d -name tests | xargs rm -fr
	install -d debian/quantum-plugin-openvswitch-agent/usr/bin
	install -m 755 quantum/plugins/openvswitch/agent/ovs_quantum_agent.py \
		debian/quantum-plugin-openvswitch-agent/usr/bin/ovs-quantum-agent

override_dh_installinit:
	dh_installinit -pquantum-server -o
	dh_installinit --remaining-packages

override_dh_auto_clean:

override_dh_auto_build:

## quantum 2012.1~e4

=== debian/changelog ===
quantum (2012.1~e4-2) unstable; urgency=low

  * Fix __init__.py conflict (Closes: 662750)

 -- Ghe Rivero <ghe.rivero@stackops.com>  Tue, 06 Mar 2012 12:57:47 +0100

quantum (2012.1~e4-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 05 Mar 2012 17:51:05 +0100

quantum (2012.1~e3+git3-g25e22bb-1) experimental; urgency=low

  [ Ghe Rivero ]
  *Added linuxbridge plugin package.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Tue, 14 Feb 2012 12:26:08 +0100

## quantum 2012.1~rc1

=== debian/changelog ===
quantum (2012.1~rc1-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Tue, 20 Mar 2012 13:38:43 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python-sqlalchemy,
  python-webob,
  python-nose
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/quantum
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/quantum.git;a=summary
@@ -73,10 +73,35 @@
  .
  This package provides a sample plugin to work with.
 
+Package: quantum-plugin-nicira
+Architecture: all
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
+Provides: quantum-plugin
+Description: OpenStack Virtual network service - nicira NVP plugin
+ Quantum provides an API to dynamically request and configure virtual networks.
+ These networks connect "interfaces" from other OpenStack services (e.g., vNICs
+ from Nova VMs). The Quantum API supports extensions to provide advanced network
+ capabilities (e.g., QoS, ACLs, network monitoring, etc).
+ .
+ This package provides the plugin to use with Nicira NVP controllers.
+
+Package: quantum-plugin-linuxbridge
+Architecture: all
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common,
+ bridge-utils
+Provides: quantum-plugin
+Description: OpenStack Virtual network service - linux bridge plugin
+ Quantum provides an API to dynamically request and configure virtual networks.
+ These networks connect "interfaces" from other OpenStack services (e.g., vNICs
+ from Nova VMs). The Quantum API supports extensions to provide advanced network
+ capabilities (e.g., QoS, ACLs, network monitoring, etc).
+ .
+ This package provides a linux bridge plugin to work with.
+
 Package: quantum-plugin-openvswitch-agent
 Architecture: all
 Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
-	  openvswitch-switch
+	  openvswitch-switch, quantum-plugin-openvswitch
 Description: OpenStack Virtual network service - openvswitch agent
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
@@ -85,3 +110,15 @@
  .
  This package provides the openvswitch-agent which should run on each compute
  node
+
+Package: quantum-plugin-ryu
+Architecture: all
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common,
+Provides: quantum-plugin
+Description: OpenStack Virtual network service - ryu plugin
+ Quantum provides an API to dynamically request and configure virtual networks.
+ These networks connect "interfaces" from other OpenStack services (e.g., vNICs
+ from Nova VMs). The Quantum API supports extensions to provide advanced network
+ capabilities (e.g., QoS, ACLs, network monitoring, etc).
+ .
+ This package provides a plugin to use with Ryu Network Operating Ssytem

## quantum 2012.1

=== quantum/plugins/openvswitch/Makefile ===
QUANTUM_PATH=../../../

# TODO(bgh): DIST_DIR and target for plugin

AGENT_DIST_DIR=ovs_quantum_agent
AGENT_DIST_TARBALL=ovs_quantum_agent.tgz

agent-dist: distclean
	mkdir $(AGENT_DIST_DIR)
	cp agent/*.py $(AGENT_DIST_DIR)
	cp agent/*.sh $(AGENT_DIST_DIR)
	cp README $(AGENT_DIST_DIR)
	cp ../../../etc/quantum/plugins/openvswitch/ovs_quantum_plugin.ini $(AGENT_DIST_DIR)
	tar -zcvf $(AGENT_DIST_TARBALL) $(AGENT_DIST_DIR)/
	@echo "Agent tarball created: $(AGENT_DIST_TARBALL)"
	@echo "See README for installation details"

all:

clean:
	$(find . -name *.pyc | xargs rm)

distclean:
	-rm -rf $(AGENT_DIST_DIR)
	-rm -f $(AGENT_DIST_TARBALL)

PHONY: agent-dist clean distclean

=== debian/changelog ===
quantum (2012.1-5+deb70u1) testing-proposed-updates; urgency=high

  * Non-maintainer upload.
  * Backport of "the removal of ryu app" from upcoming 2012.1-7.
    This needs to go directly to testing as the changes in 2012.1-6 is
    too excessive. Closes: #685251.

 -- Ola Lundqvist <opal@debian.org>  Thu, 07 Jan 2013 10:29:07 +0200

quantum (2012.1-5) unstable; urgency=low

  * Really fix upgrade from version lt 2012.1-2. Closes: #672170 
  * Tiny changes in packages description to make lintian happy
  * Add missing upstream man pages
  * Add patches description to make lintian happy
  * Install man pages

 -- Mehdi Abaakouk <sileht@sileht.net>  Wed, 23 May 2012 00:25:14 +0200

quantum (2012.1-4) unstable; urgency=low

  * Fix upgrade from version lt 2012.1-2. Closes: #672170

 -- Mehdi Abaakouk <sileht@sileht.net>  Thu, 17 May 2012 13:35:25 +0200

quantum (2012.1-3) unstable; urgency=low

  * Removed unnecesary files from top python dir. Closes: #671918

 -- Ghe Rivero <ghe.rivero@stackops.com>  Tue, 08 May 2012 09:42:35 +0200

quantum (2012.1-2) unstable; urgency=low

  * Improved python packaging.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Sun, 06 May 2012 11:35:35 +0200

quantum (2012.1-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 09 Apr 2012 09:40:14 +0200

quantum (2012.1~rc2-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Wed, 04 Apr 2012 10:42:23 +0200

quantum (2012.1~rc1-2) unstable; urgency=low

  * Added ryu-agent and linuxbridge-agent binary packages.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Fri, 30 Mar 2012 10:26:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
+Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
+           Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>
+           Ghe Rivero <ghe.rivero@stackops.com>,
+	   Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 7.0.50~),
  python-all (>= 2.6.6-3~),
  python-setuptools,
@@ -28,7 +30,8 @@
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base,
  quantum-plugin-openvswitch | quantum-plugin,
- quantum-common
+ quantum-common,
+ python-quantum
 Description: OpenStack Virtual network service - server
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
@@ -39,8 +42,12 @@
 
 Package: quantum-plugin-cisco
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common,
+ python-quantum
 Provides: quantum-plugin
+Conflicts: quantum-plugin
+Replaces: python-quantum (<< 2012.1-3)
+Breaks: python-quantum (<< 2012.1-3)
 Description: OpenStack Virtual network service - cisco plugin
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
@@ -51,8 +58,12 @@
 
 Package: quantum-plugin-openvswitch
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common, openvswitch-switch
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common, openvswitch-switch,
+ python-quantum
 Provides: quantum-plugin
+Conflicts: quantum-plugin
+Replaces: python-quantum (<< 2012.1-3)
+Breaks: python-quantum (<< 2012.1-3)
 Description: OpenStack Virtual network service - openvswitch plugin
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
@@ -63,20 +74,28 @@
 
 Package: quantum-plugin-sample
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common,
+ python-quantum
 Provides: quantum-plugin
+Conflicts: quantum-plugin
+Replaces: python-quantum (<< 2012.1-3)
+Breaks: python-quantum (<< 2012.1-3)
 Description: OpenStack Virtual network service - sample plugin
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
  from Nova VMs). The Quantum API supports extensions to provide advanced network
  capabilities (e.g., QoS, ACLs, network monitoring, etc).
  .
- This package provides a sample plugin to work with.
+ This package is an empty package that provides a sample plugin to work with.
 
 Package: quantum-plugin-nicira
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common,
+ python-quantum
 Provides: quantum-plugin
+Conflicts: quantum-plugin
+Replaces: python-quantum (<< 2012.1-3)
+Breaks: python-quantum (<< 2012.1-3)
 Description: OpenStack Virtual network service - nicira NVP plugin
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
@@ -88,20 +107,25 @@
 Package: quantum-plugin-linuxbridge
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common,
- bridge-utils
+ bridge-utils,
+ python-quantum
 Provides: quantum-plugin
+Conflicts: quantum-plugin
+Replaces: python-quantum (<< 2012.1-3)
+Breaks: python-quantum (<< 2012.1-3)
 Description: OpenStack Virtual network service - linux bridge plugin
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
  from Nova VMs). The Quantum API supports extensions to provide advanced network
  capabilities (e.g., QoS, ACLs, network monitoring, etc).
  .
- This package provides a linux bridge plugin to work with.
+ This package provides a Linux bridge plugin to work with.
 
 Package: quantum-plugin-openvswitch-agent
 Architecture: all
 Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
-	  openvswitch-switch, quantum-plugin-openvswitch
+	  openvswitch-switch, quantum-plugin-openvswitch,
+ python-quantum
 Description: OpenStack Virtual network service - openvswitch agent
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
@@ -111,14 +135,47 @@
  This package provides the openvswitch-agent which should run on each compute
  node
 
-Package: quantum-plugin-ryu
+Package: quantum-plugin-linuxbridge-agent
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common,
-Provides: quantum-plugin
-Description: OpenStack Virtual network service - ryu plugin
+Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+          bridge-utils,
+ python-quantum
+Description: OpenStack Virtual network service - linuxbridge agent
  Quantum provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (e.g., vNICs
  from Nova VMs). The Quantum API supports extensions to provide advanced network
  capabilities (e.g., QoS, ACLs, network monitoring, etc).
  .
- This package provides a plugin to use with Ryu Network Operating Ssytem
+ This package provides the linuxbridge-agent which should run on each compute
+ node
+
+
+Package: python-quantum
+Architecture: all
+Section: python
+Depends: ${python:Depends}, ${misc:Depends},
+ python-eventlet,
+ python-routes,
+ python-paste,
+ python-pastedeploy,
+ python-gflags,
+ python-simplejson,
+ python-sqlalchemy,
+ python-lxml,
+ python-webob,
+ python-quantumclient
+Provides: ${python:Provides}
+Replaces: quantum-server (<< 2012.1-3), quantum-plugin-cisco (<< 2012.1-3), quantum-plugin-linuxbridge (<< 2012.1-3), quantum-plugin-nicira (<< 2012.1-3), quantum-plugin-openvswitch (<< 2012.1-3), quantum-plugin-ryu (<< 2012.1-3), quantum-plugin-sample (<< 2012.1-3)
+Breaks: quantum-server (<< 2012.1-3), quantum-plugin-cisco (<< 2012.1-3), quantum-plugin-linuxbridge (<< 2012.1-3), quantum-plugin-nicira (<< 2012.1-3), quantum-plugin-openvswitch (<< 2012.1-3), quantum-plugin-ryu (<< 2012.1-3), quantum-plugin-sample (<< 2012.1-3)
+Description: Quantum is a virutal network service for Openstack. (python library)
+ Quantum is a virtual network service for Openstack, and a part of
+ Netstack. Just like OpenStack Nova provides an API to dynamically
+ request and configure virtual servers, Quantum provides an API to
+ dynamically request and configure virtual networks. These networks
+ connect "interfaces" from other OpenStack services (e.g., virtual NICs
+ from Nova VMs). The Quantum API supports extensions to provide
+ advanced network capabilities (e.g., QoS, ACLs, network monitoring,
+ etc.)
+ .
+ This package provides the Python library.
+

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	find . -type d -name tests | xargs rm -fr

override_dh_installinit:
	dh_installinit -pquantum-server -o
	dh_installinit --remaining-packages

override_dh_auto_clean:

override_dh_auto_build:

=== debian/watch ===
version=3
http://launchpad.net/quantum/+download http://launchpad.net/quantum/.*/quantum-(.*).tar.*
http://quantum.openstack.org/tarballs/ quantum-(.*).tar.gz

## quantum 2012.2~f1

=== debian/changelog ===
quantum (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * Add missing upsart jobs for agents. 
  * Add sudo wrapper for quantum-rootwrap. (LP: #999142)

  [ Adam Gandelman ]
  * debian/control: Fix spacing issues that cause mk-build-deps to fail.
  * debian/quantum-server.install: Install new plugins config directory
    instead of old .ini.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 12:49:23 -0400

quantum (2012.1-0ubuntu4) precise; urgency=low

  * debian/control: Add breaks replaces since files have moved around. 
  * Fix typo in upstart job.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Apr 2012 11:23:38 -0400

quantum (2012.1-0ubuntu3) precise; urgency=low

  * Split out agents into its own packages. (LP: #979192) 
    Thanks to Ghe Rivero.
  * Add upstart job. (LP: #979190)
  * Fix installation issues. (LP: #979159)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Apr 2012 13:39:06 -0400

quantum (2012.1-0ubuntu2) precise; urgency=low

  * Fix lintian warnings about empty packages. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Apr 2012 22:14:42 -0400

quantum (2012.1-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Apr 2012 11:07:46 -0400

quantum (2012.1~rc2-0ubuntu1) precise; urgency=low

  *  New upstream release: 
     - debian/quantum-plugin-{ryu,openvswitch}.install: 
       Install agents.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Apr 2012 20:29:11 -0400

quantum (2012.1~rc1-0ubuntu5) precise; urgency=low

  * Add missing files. (LP: #972019, LP: #971981, LP: #960731) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 Apr 2012 20:29:29 -0400

quantum (2012.1~rc1-0ubuntu4) precise; urgency=low

  * Make quantum installable again (LP: #965551):
    - debian/control: quantum-server depends on quantum-common.
    - debian/control: Add python-quantumclient dependency.
    - debian/upstart: Rename and update upstart job.
    - Fix typos in debian/quantum-common.postinst.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 30 Mar 2012 14:14:42 -0400

quantum (2012.1~rc1-0ubuntu3) precise; urgency=low

  * debian/control: Fix spelling typos. (LP: #960713) 

 -- Paolo Rotolo <paolorotolo@ubuntu-it.org>  Fri, 23 Mar 2012 21:35:54 +0100

quantum (2012.1~rc1-0ubuntu2) precise; urgency=low

  * debian/control: Fix spelling typos.
  * debian/upstart: Fix typo in upstart job
  * debian/control: Rename quantum to quantum-server again.
  * debian/control: Fix empty plugins.
  * debian/upstart: use start-stop-daemon in upstart job.
  * debian/patches/fix-namespace.patch: Fix namespace patch
  * debian/control: Update vcs info. (LP: #960690)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 Mar 2012 13:58:24 -0400

quantum (2012.1~rc1~20120316.764-0ubuntu1) precise; urgency=low

  * New upstream release. 
  * debian/watch: Watch correct URL

 -- Adam Gandelman <adamg@canonical.com>  Fri, 16 Mar 2012 12:04:48 -0700

quantum (2012.1~e4-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules: Take in account the new build changes.
  * debian/quantum-server.install: Install the right files due to 
    build changes.
  * Client no longer is a part of quantum.
  * debian/control: Add python-lxml
  * Add ryu and niciria plugins.
  * debian/rules: Run right tests script.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Mar 2012 09:47:22 -0500

quantum (2012.1~e2+git20120112-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules: 
    - Fix git snapshot creation.
    - Fix running test suite during the build.
  * debian/control: Add adduser for quantum-server.
  * debian/quantum-plugin-{cisco,openvswitch}.install: Install
    everything needed for the plugins.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2012 04:19:33 -0500

quantum (2012.1~e2-0ubuntu2) precise; urgency=low

  * debian/control: Build for architecture all. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 19 Dec 2011 10:28:16 -0500

quantum (2012.1~e2-0ubuntu1) precise; urgency=low

  * New upstream release. 
  * debian/rules: Add alternate get-orig-source.
  * debian/patches/fix-version.patch: Removed no longer needed.
  * Fix lintian warnings.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Dec 2011 15:26:41 -0500

quantum (2012.1~e2~20111209.f8152-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules, debian/README.Source: Add support fo generating
    new tarballs from git since tarball snapshots are not available
    from jenkins yet.
  * debian/rules: Update for new build system.
  * debian/rules: Clean up files when running clean.
  * debian/quantum-server.install, debian/quantum-server.dirs, 
    debian/quantum-plugins.*: Update for build system changes.
  * debian/quantum-server.postinst: Fix user creation.
  * debian/rules: Enable testsuite when building.
  * Fix lintian errors (LP: #899352)
  * debian/patches/fix-quantum-version.patch: Fix generating *.pyc
    when trying to build.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Dec 2011 15:31:35 -0500

quantum (2012.1~e1-0ubuntu1) precise; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 18 Nov 2011 15:29:53 -0500

=== debian/control ===
Source: quantum
Section: net
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~)
Build-Depends-Indep:
 python-setuptools,
 python-coverage,
 python-eventlet,
 python-nose,
 python-paste,
 python-routes,
 python-pastedeploy,
 python-gflags,
 python-simplejson,
 python-sqlalchemy,
 python-webob,
 python-webtest,
 pep8
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/quantum/essex/files
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/quantum/essex
XS-Python-Version: >= 2.6
Standards-Version: 3.9.2

Package: quantum-server
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, adduser,
 quantum-common
Description: server - Quantum is a virtual network service for Openstack
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the quantum server

Package: quantum-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-quantum
Description: common - Quantum is a virtual network service for Openstack.
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: quantum-plugin-cisco
Architecture: all
Provides: quantum-plugin
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
Description: Quantum is a virtual network service for Openstack. (cisco plugin)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the CISCO plugin.

Package: quantum-plugin-openvswitch
Architecture: all
Provides: quantum-plugin
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common, openvswitch-switch
Description: Quantum is a virtual network service for Openstack. (openvswitch plugin)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide 
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the openvswitch plugin.

Package: quantum-plugin-nicira
Architecture: all
Provides: quantum-plugin
Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
Description: Quantum is a virtual network service for Openstack. (nicira plugin)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the nicira plugin

Package: quantum-plugin-ryu
Architecture: all
Provides: quantum-plugin
Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
Description: Quantum is a virtual network service for Openstack. (ryu plugin)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the ryu plugin

Package: quantum-plugin-linuxbridge
Architecture: all
Provides: quantum-plugin
Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, quantum-common
Description: Quantum is a virtual network service for Openstack. (ryu plugin)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the linuxbridge plugin.

Package: python-quantum
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-eventlet,
 python-routes,
 python-paste,
 python-pastedeploy,
 python-gflags,
 python-simplejson,
 python-sqlalchemy,
 python-lxml,
 python-webob,
 python-quantumclient
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Quantum is a virutal network service for Openstack. (python library)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provvides the(python library.

Package: quantum-plugin-openvswitch-agent
Architecture: all
Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
          openvswitch-switch, quantum-common
Description: Quantum is a virtual network service for Openstack. (openvswitch plugin agent)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the openvswitch plugin agent

Package: quantum-plugin-linuxbridge-agent
Architecture: all
Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
          bridge-utils, quantum-common
Description: Quantum is a virtual network service for Openstack. (linuxbridge plugin agent)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the linuxbridge plugin agent.

Package: quantum-plugin-ryu-agent
Architecture: all
Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
	quantum-common
Breaks: quantum-server ( << 2012.1-0ubuntu3 )
Replaces: quantum-server ( << 2012.1-0ubuntu3 )
Description: Quantum is a virtual network service for Openstack. (ryu plugin agent)
 Quantum is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Quantum provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Quantum API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the ryu plugin agent.

## quantum 2012.2~f2

=== debian/changelog ===
quantum (2012.2~f2-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Chuck Short ]
  * New upstream release.

  [ Adam Gandelman ]
  * debian/control, pydist-overrides: Add python-setuptools-git as a
    Build-Depends, override as necessary. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 12:41:43 -0400

quantum (2012.2~f2~20120621.868-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * Add missing upsart jobs for agents. 
  * Add sudo wrapper for quantum-rootwrap. (LP: #999142)

  [ Adam Gandelman ]
  * debian/control: Fix spacing issues that cause mk-build-deps to fail.
  * debian/quantum-server.install: Install new plugins config directory
    instead of old .ini.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 12:49:23 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  python-all-dev (>= 2.6.6-3~)
 Build-Depends-Indep:
  python-setuptools,
+ python-setuptools-git,
  python-coverage,
  python-eventlet,
  python-nose,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_install:
	dh_auto_install

=== debian/watch ===
version=3
http://quantum.openstack.org/tarballs/ quantum-([0-9].*).tar.gz
